org.firebirdsql.jca

## Class FBResourceTransactionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - org.firebirdsql.jca.FBResourceException
        - - org.firebirdsql.jca.FBResourceTransactionException

- All Implemented Interfaces:
    java.io.Serializable

      public class FBResourceTransactionException
      extends FBResourceException

  Exception represents transaction error in resource.
  Author:
    Roman Rokytskyy
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SQL_STATE_INVALID_TRANSACTION_STATE` Deprecated. Use constants from `SQLStateConstants`. To be removed in Jaybird 4.
    `static java.lang.String` | `SQL_STATE_TRANSACTION_ACTIVE` Deprecated. Use constants from `SQLStateConstants`. To be removed in Jaybird 4.
    `static java.lang.String` | `SQL_STATE_TRANSACTION_ROLLED_BACK` Deprecated. Use constants from `SQLStateConstants`. To be removed in Jaybird 4.

    - ### Fields inherited from class org.firebirdsql.jca.FBResourceException

      `SQL_STATE_GENERAL_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FBResourceTransactionException(java.lang.String reason)` Create a new instance of `FBResourceTransactionException` with a given message and generic error code
    `FBResourceTransactionException(java.lang.String reason, java.lang.Exception cause)` Create a new instance of `FBResourceTransactionException` with a given message and sub-exception.
    `FBResourceTransactionException(java.lang.String reason, java.lang.String errorCode)` Create a new instance of `FBResourceTransactionException` with a given message and error code.
    `FBResourceTransactionException(java.lang.String reason, java.lang.String errorCode, java.lang.Exception cause)` Create a new instance of `FBResourceException` with a given message, error code and underlying exception.

  - ### Method Summary

    - ### Methods inherited from class org.firebirdsql.jca.FBResourceException

      `getMessage, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SQL_STATE_INVALID_TRANSACTION_STATE

          @Deprecated
          public static final java.lang.String SQL_STATE_INVALID_TRANSACTION_STATE

      Deprecated. Use constants from `SQLStateConstants`. To be removed in Jaybird 4.
      See Also:
        Constant Field Values

    - #### SQL_STATE_TRANSACTION_ACTIVE

          @Deprecated
          public static final java.lang.String SQL_STATE_TRANSACTION_ACTIVE

      Deprecated. Use constants from `SQLStateConstants`. To be removed in Jaybird 4.
      See Also:
        Constant Field Values

    - #### SQL_STATE_TRANSACTION_ROLLED_BACK

          @Deprecated
          public static final java.lang.String SQL_STATE_TRANSACTION_ROLLED_BACK

      Deprecated. Use constants from `SQLStateConstants`. To be removed in Jaybird 4.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FBResourceTransactionException

          public FBResourceTransactionException(java.lang.String reason)

      Create a new instance of `FBResourceTransactionException` with a given message and generic error code
      Parameters:
        `reason` - The string message for this exception

    - #### FBResourceTransactionException

          public FBResourceTransactionException(java.lang.String reason,
                                        java.lang.String errorCode)

      Create a new instance of `FBResourceTransactionException` with a given message and error code.
      Parameters:
        `reason` - The string message for this exception
        `errorCode` - The error code for this exception

    - #### FBResourceTransactionException

          public FBResourceTransactionException(java.lang.String reason,
                                        java.lang.Exception cause)

      Create a new instance of `FBResourceTransactionException` with a given message and sub-exception.
      Parameters:
        `reason` - The string message for this exception
        `cause` - The underlying exception

    - #### FBResourceTransactionException

          public FBResourceTransactionException(java.lang.String reason,
                                        java.lang.String errorCode,
                                        java.lang.Exception cause)

      Create a new instance of `FBResourceException` with a given message, error code and underlying exception.
      Parameters:
        `reason` - The string message for this exception
        `errorCode` - The error code for this exception
        `cause` - The underlying exception

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.